<bugID>1176050<Summary>Firefox liveload with lots of connections slow when netmonitor is open</Summary><Description>User Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0
Build ID: 20150605133456

Steps to reproduce:

1) install this js app from web
git clone git@github.com:andreicristianpetcu/foobar.git
cd foobar
git checkout ef75f84
npm install -g grunt
npm install
bower install
grunt server

go to http://localhost:8000 and either run in the cli "touch app/index.html" or click the first link in the page several times.


Actual results:

The DevTools network tab shows the connection is really slow, it loads the whole page in 4 seconds while Chromium loads the page in 532 milliseconds. Firefox Nightly loads it a little faster than the stable version in around 3.5 seconds (probably due to bug 1143224 being fixed). I think this issue is more related to the large number of connections, but this is a normal JavaScript project these days, it is not a huge project.

Developers rely on liveload a lot these days and a slow reloading of the page really breaks the workflow.

Here is a video (watch in fullhd) https://youtu.be/zbp2syKiyj0
I made a demo page http://andreicristianpetcu.github.io/foobar/app/ but it does reproduce the bug as well as the installed version :(


Expected results:

The page should load in under a second. Please do not mark this bug as duplicate of 1143224 :P since it is not. I tested with a Nightly that already has the fix for that bug.</Description></bugID>